Bug 13305 - Fix tab order in cataloguing/item editor
Summary: Fix tab order in cataloguing/item editor
Status: Pushed to oldstable
Alias: None
Product: Koha
Classification: Unclassified
Component: Staff Client (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Marcel de Rooy
QA Contact: Testopia
URL:
Keywords:
: 13137 (view as bug list)
Depends on: 10480
Blocks:
  Show dependency treegraph
 
Reported: 2014-11-20 08:08 UTC by Marcel de Rooy
Modified: 2020-03-09 19:14 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.00, 19.11.04


Attachments
Bug 13305: Fix tab order on three item editor forms (5.38 KB, patch)
2014-11-20 08:21 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 13305: Remove tabindex from PrepareItemsRecordDisplay (4.33 KB, patch)
2020-01-21 08:15 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 13305: Remove tabindex from PrepareItemsRecordDisplay (4.33 KB, patch)
2020-02-08 05:59 UTC, David Nind
Details | Diff | Splinter Review
Bug 13305: Remove tabindex from PrepareItemsRecordDisplay (4.39 KB, patch)
2020-02-09 10:35 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Marcel de Rooy 2014-11-20 08:08:28 UTC

    
Comment 1 Marcel de Rooy 2014-11-20 08:21:18 UTC Comment hidden (obsolete)
Comment 2 Owen Leonard 2014-11-20 18:44:07 UTC
Is there any valid reason for having a tabindex value attached to any of these fields? I would prefer a solution which removed 'tabindex="1"' from the generated code rather than one which adds it.
Comment 3 Marcel de Rooy 2014-11-20 19:40:03 UTC
(In reply to Owen Leonard from comment #2)
> Is there any valid reason for having a tabindex value attached to any of
> these fields? I would prefer a solution which removed 'tabindex="1"' from
> the generated code rather than one which adds it.

Removing it everywhere involves more code changes. This touches just four lines now. So you are theoretically right, but I chose the pragmatic approach here.
Comment 4 Marcel de Rooy 2014-12-11 11:37:33 UTC
Will try to submit the more complete one as a follow-up on work for bug 10480.
Comment 5 Katrin Fischer 2020-01-06 13:09:29 UTC
*** Bug 13137 has been marked as a duplicate of this bug. ***
Comment 6 Marcel de Rooy 2020-01-21 08:14:03 UTC
(In reply to Owen Leonard from comment #2)
> Is there any valid reason for having a tabindex value attached to any of
> these fields? I would prefer a solution which removed 'tabindex="1"' from
> the generated code rather than one which adds it.

I have taken the time to think deeply on that and came to appreciate it :)
Patch forthcoming finally.
Comment 7 Marcel de Rooy 2020-01-21 08:15:43 UTC
Created attachment 97650 [details] [review]
Bug 13305: Remove tabindex from PrepareItemsRecordDisplay

Test plan:
Check the tab order of the item block on additem.pl (item editor),
Acquisition (neworderempty or addiso2709), serials-edit.pl.
You could also check services/itemrecorddisplay.pl and pass a
biblionumber; this script is used in additem.js for cataloguing and
acquisition.

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 8 David Nind 2020-02-08 05:59:09 UTC
Created attachment 98609 [details] [review]
Bug 13305: Remove tabindex from PrepareItemsRecordDisplay

Test plan:
Check the tab order of the item block on additem.pl (item editor),
Acquisition (neworderempty or addiso2709), serials-edit.pl.
You could also check services/itemrecorddisplay.pl and pass a
biblionumber; this script is used in additem.js for cataloguing and
acquisition.

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>

Signed-off-by: David Nind <david@davidnind.com>
Comment 9 Katrin Fischer 2020-02-09 10:35:19 UTC
Most notably before this patch tabbing through the input fields would jump over the drop down fields. With the patch applied this seems to work much better.
Comment 10 Katrin Fischer 2020-02-09 10:35:47 UTC
Created attachment 98613 [details] [review]
Bug 13305: Remove tabindex from PrepareItemsRecordDisplay

Test plan:
Check the tab order of the item block on additem.pl (item editor),
Acquisition (neworderempty or addiso2709), serials-edit.pl.
You could also check services/itemrecorddisplay.pl and pass a
biblionumber; this script is used in additem.js for cataloguing and
acquisition.

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 11 Martin Renvoize 2020-02-10 09:23:18 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 12 Joy Nelson 2020-03-05 00:38:39 UTC
Pushed to 19.11.x branch for 19.11.04
Comment 13 Lucas Gass 2020-03-09 19:14:29 UTC
backported to 19.05.x for 19.05.09